Debian Bug report logs - #412437
RFP: songbird -- desktop Web player, a digital jukebox and Web browser

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Marcela Tiznado <mtiznado@linux.org.ar>

Date: Mon, 26 Feb 2007 00:30:01 UTC

Severity: wishlist

Merged with 507218, 555700

Done: Adrian Bunk <bunk@stusta.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, marcela tiznado <mlt@debian.org>:
Bug#412437; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcela Tiznado <mtiznado@linux.org.ar>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>, marcela tiznado <mlt@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcela Tiznado <mtiznado@linux.org.ar>
To: submit@bugs.debian.org
Subject: ITP: songbird -- desktop Web player, a digital jukebox and Web browser
Date: Sun, 25 Feb 2007 21:27:02 -0300
Package: wnpp
Owner: Marcela Tiznado <mlt@debian.org>
Severity: wishlist

* Package name    : songbird
  Version         : 0.2.1
  Upstream Author : . <info@songbirdnest.com>
* URL             : http://www.songbirdnest.com/
* License         : GPL
  Programming Lang: gtk
  Description     : desktop Web player, a digital jukebox and Web browser

Songbird is a desktop Web player, a digital jukebox and Web browser
mash-up. Like Winamp, it supports extensions and skins feathers.
Like Firefox, it is built from Mozilla, cross-platform and open source.

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, marcela tiznado <mlt@debian.org>:
Bug#412437; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alan Woodland <447745889159@3mail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, marcela tiznado <mlt@debian.org>. Full text and rfc822 format available.

Message #10 received at 412437@bugs.debian.org (full text, mbox):

From: Alan Woodland <447745889159@3mail.com>
To: 412437@bugs.debian.org
Cc: mtiznado@linux.org.ar, awoodland@debian.org, Alan Woodland <ajw05@aber.ac.uk>
Subject: Songbird ITP
Date: Wed, 9 May 2007 21:56:30 +0100
Have you made much/any progress with packaging this yet? Are you  
interested in a co-maintainer or other assistance with this?

Alan



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, marcela tiznado <mlt@debian.org>:
Bug#412437; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcela Tiznado <mtiznado@linux.org.ar>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, marcela tiznado <mlt@debian.org>. Full text and rfc822 format available.

Message #15 received at 412437@bugs.debian.org (full text, mbox):

From: Marcela Tiznado <mtiznado@linux.org.ar>
To: Alan Woodland <447745889159@3mail.com>, 412437@bugs.debian.org
Subject: Re: Bug#412437: Songbird ITP
Date: Thu, 10 May 2007 02:43:21 -0300
Alan Woodland wrote:
> Have you made much/any progress with packaging this yet? Are you
> interested in a co-maintainer or other assistance with this?
> 
> Alan

Right now, I don't have much time to start with it, so plz, take it :)

Regards
mlt




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, marcela tiznado <mlt@debian.org>:
Bug#412437; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alan Woodland <ajw05@aber.ac.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, marcela tiznado <mlt@debian.org>. Full text and rfc822 format available.

Message #20 received at 412437@bugs.debian.org (full text, mbox):

From: Alan Woodland <ajw05@aber.ac.uk>
To: 412437@bugs.debian.org
Cc: Marcela Tiznado <mtiznado@linux.org.ar>, awoodland@debian.org, Alan Woodland <ajw05@aber.ac.uk>, control@bugs.debian.org
Subject: Starting packaging...
Date: Thu, 10 May 2007 11:01:26 +0100
owner 412437 awoodland@debian.org
thanks
> Right now, I don't have much time to start with it, so plz, take it :)
Ok, Thanks. I've taken ownership of the ITP bug and made a start.

There's quite a bit to be done in packaging this:

1) The 'branding issue'

The theme, name and icons all appear to be non-free. I don't expect  
any amount of negotiations will result in a compromise on the  
trademark issue that's acceptable to both parties short of a  
rebranding, a la icedove. There are user contributed themes  
available, so it should be fairly easy to produce something to work  
around these problems. Any good ideas for a name? Anyone handy in an  
SVG package care to make some icons and a theme to match the name?

2) Xulrunner

Currently the build process tries to use its own patched version of  
xulrunner. This doesn't really make sense for Debian I don't think,  
since there is already an xulrunner in Debian that should in theory  
work on all the various architectures. I've had a quick look through  
the patches that are applied to the version of xulrunner used by  
songbird, and quite a few of them look like they'll fall under one of  
the following categories which means we don't need to worry about them:
- Non-linux specific - e.g. bugSB738_mac_enableminimize-sb_0_2.patch  
is MacOS specific.
- Already in Debian xulrunner - e.g. bug346843-sighandler-x86_64- 
sb_0_2.patch or similar I'm pretty sure is in the xulrunner patch  
set, and since it only controls the SIGSEGV handler it doesn't really  
matter much anyway. I'll check up on this one anyway.
- Some of them will require further investigations - e.g. bug176182- 
jsautorequest-sb_0_2.patch I'm not really sure what it's for or how  
it fits with the Debian xulrunner patch set. Judging from the report  
on bugzilla.mozilla.org it looks like this patch has been applied  
upstream (1.8.1?), and so probably will be in Debian's xulrunner  
shortly.

Still, all of these patches need to be reviewed, and the songbird  
build process needs to be patched to use the system xulrunner, rather  
than it's own one.

3) Flash. Songbird uses the flashplugin for somethings. As I  
understand it there is a free version of flash available. Is it  
compatible enough though? What about the new version adobe are  
supposed to be working on?

4) Plugins. Songbird recommends to users that they install a couple  
of extra plugins on first run. We really should package these to I  
think.

My plan is to start addressing #2 over the next week or so - I'll  
post some packages on people.debian.org probably once it's building.  
Hopefully it won't be too long before it's in a suitable shape for an  
upload to experimental or unstable.

Alan



Owner changed from marcela tiznado <mlt@debian.org> to awoodland@debian.org. Request was from Alan Woodland <ajw05@aber.ac.uk> to control@bugs.debian.org. (Thu, 10 May 2007 10:06:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alan Woodland <ajw05@aber.ac.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. Full text and rfc822 format available.

Message #27 received at 412437@bugs.debian.org (full text, mbox):

From: Alan Woodland <ajw05@aber.ac.uk>
To: 412437@bugs.debian.org
Subject: Status update
Date: Fri, 15 Jun 2007 13:02:15 +0100
I've been hacking around with the build system to trick it into using  
the system version of xulrunner. This is proving to be somewhat more  
challenging than I initially anticipated, owing to songbird's  
touching of xulrunner's private parts in several components.

It's going to be a while before even the 'build sanely' part of  
packaging is ready, but I've not forgotten about this.

Alan



Information stored:
Bug#412437; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to mail.twerner@googlemail.com:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #32 received at 412437-quiet@bugs.debian.org (full text, mbox):

From: "Torsten Werner" <twerner@debian.org>
To: 412437-quiet@bugs.debian.org, "Alan Woodland" <ajw05@aber.ac.uk>
Subject: ITP: songbird -- desktop Web player, a digital jukebox and Web browser
Date: Sun, 6 Jan 2008 12:20:21 +0100
Hi,

what is the current state of packaging?

Cheers,
Torsten

-- 
blog: http://twerner.blogspot.com/
homepage: http://www.twerner42.de/




Information stored:
Bug#412437; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alan Woodland <ajw05@aber.ac.uk>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #37 received at 412437-quiet@bugs.debian.org (full text, mbox):

From: Alan Woodland <ajw05@aber.ac.uk>
To: mail.twerner@googlemail.com
Cc: 412437-quiet@bugs.debian.org
Subject: Re: ITP: songbird -- desktop Web player, a digital jukebox and Web browser
Date: Tue, 15 Jan 2008 11:25:25 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Torsten Werner wrote:
> what is the current state of packaging?
Hi,

I've not really gotten very far with this at all. I've got a bunch of
patches that no longer build against the latest development versions,
and weren't finished to begin with. Would probably be better starting
again than fixing these I think! I'm still interested in
(co/team)-maintaining this if anyone's interested. There's quite a lot
of work to be done though to make it build neatly and use the Debian
package of xulrunner.

Alan
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHjJgi1FNW1LDdr0IRAmaiAJ9si1KKrTH+fguilVWtCmluoPOV1gCeP7oo
xVEGypFQ6bADLgBwIKpFn/c=
=Itz7
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Pipping <webmaster@hartwork.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. Full text and rfc822 format available.

Message #42 received at 412437@bugs.debian.org (full text, mbox):

From: Sebastian Pipping <webmaster@hartwork.org>
To: 412437@bugs.debian.org
Subject: Re: ITP: songbird -- desktop Web player, a digital jukebox and Web
Date: Tue, 22 Jan 2008 09:18:09 +0100
i'm interested in co-maintaining.



sebastian




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Pipping <webmaster@hartwork.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. Full text and rfc822 format available.

Message #47 received at 412437@bugs.debian.org (full text, mbox):

From: Sebastian Pipping <webmaster@hartwork.org>
To: 412437@bugs.debian.org
Subject: ITP: songbird -- desktop Web player, a digital jukebox and Web browser
Date: Wed, 06 Feb 2008 11:25:34 +0100
btw we are currently waiting for recent tags to appear here:

https://publicsvn.songbirdnest.com/songbird/client/tags/



sebastian




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to webmaster@hartwork.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. Full text and rfc822 format available.

Message #52 received at 412437@bugs.debian.org (full text, mbox):

From: Sebastian Pipping <webmaster@binera.de>
To: 412437@bugs.debian.org
Subject: re: ITP: songbird
Date: Sat, 15 Mar 2008 22:40:55 +0100
Release tags are now available:
https://publicsvn.songbirdnest.com/songbird/client/tags/

I'm quite low on time currently so I cannot start this myself.



Sebastian





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. (Thu, 27 Nov 2008 21:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. (Thu, 27 Nov 2008 21:57:02 GMT) Full text and rfc822 format available.

Message #57 received at 412437@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: 412437@bugs.debian.org
Cc: Mike Hommey <glandium@debian.org>, Marcela Tiznado <mtiznado@linux.org.ar>, awoodland@debian.org
Subject: songbird status?
Date: Thu, 27 Nov 2008 13:54:35 -0800
There hasn't been an update on the songbird ITP (#412437) since March,
is anyone still working on it?

Maybe Mike Hommey (xulrunner maintainer) could assist with the
xulrunner issues?

Thanks,

-- 
Matt Taggart
taggart@debian.org




Forcibly Merged 412437 507218. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sun, 30 Nov 2008 02:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. (Sun, 30 Nov 2008 14:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcela Tiznado <mlt@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. (Sun, 30 Nov 2008 14:21:06 GMT) Full text and rfc822 format available.

Message #64 received at 412437@bugs.debian.org (full text, mbox):

From: Marcela Tiznado <mlt@debian.org>
To: Matt Taggart <taggart@debian.org>
Cc: 412437@bugs.debian.org, Mike Hommey <glandium@debian.org>, awoodland@debian.org
Subject: Re: songbird status?
Date: Fri, 28 Nov 2008 00:32:22 -0200
Matt Taggart wrote:
> There hasn't been an update on the songbird ITP (#412437) since March,
> is anyone still working on it?
>
> Maybe Mike Hommey (xulrunner maintainer) could assist with the
> xulrunner issues?
>
> Thanks,
>
>   
I'm not working on it.

m*





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. (Thu, 04 Dec 2008 14:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Alan Woodland" <alan.woodland@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. (Thu, 04 Dec 2008 14:36:10 GMT) Full text and rfc822 format available.

Message #69 received at 412437@bugs.debian.org (full text, mbox):

From: "Alan Woodland" <alan.woodland@gmail.com>
To: "Ryan Niebur" <ryanryan52@gmail.com>
Cc: "Alan Woodland" <awoodland@debian.org>, 412437@bugs.debian.org, 507218@bugs.debian.org
Subject: Re: songbird
Date: Thu, 4 Dec 2008 14:32:35 +0000
2008/12/1 Ryan Niebur <ryanryan52@gmail.com>:
> Hi,
>
> It looks like there isn't much happening with packaging songbird. I'm
> interested in helping with songbird, too. Would you like to start an
> alioth team to work on it? I'd be happy to help. If you're gonna start
> a team, I really don't care about what type of VCS you use, I know 'em
> all (except CVS :D). I prefer git, though...
>
> If you don't have time to set up a team, I will, just tell me to. :)
>
> Anyway, I think that a team would help get some work going, and then
> we could songbird into Debian.
>
Team sounds like a good plan. I'm very short on time at the moment,
and building songbird with debian's xulrunner library was more fiddly
than I originally anticipated.

I'd vote for SVN personally since that's what I use at work everyday,
but I'm flexible :-)

Alan




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. (Wed, 31 Dec 2008 20:27:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jose Carlos Garcia Sogo" <jsogo@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. (Wed, 31 Dec 2008 20:27:01 GMT) Full text and rfc822 format available.

Message #74 received at 412437@bugs.debian.org (full text, mbox):

From: "Jose Carlos Garcia Sogo" <jsogo@debian.org>
To: 412437@bugs.debian.org, 412437-submitter@bugs.debian.org
Subject: Ubuntu has packages.
Date: Wed, 31 Dec 2008 21:23:49 +0100
Hi,

It seems that Ubuntu guys managed to get packages of songbird, as it
is seen in Launchpad bug #94494
(https://bugs.launchpad.net/debian/+bug/94494)
I suppose they will package it as Songbird, and I guess that we should
change the name (as in firefox/iceweasel) but their package can be a
great start to merge efforts.
Also, I'd vote for git+topgit, as you would be able to easily branch
upstream sources and keep local brand patches clean)

Cheers,

-- 
José Carlos García Sogo
  jsogo@debian.org

Message sent on to Marcela Tiznado <mtiznado@linux.org.ar>:
Bug#412437. (Wed, 31 Dec 2008 20:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. (Wed, 31 Dec 2008 21:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. (Wed, 31 Dec 2008 21:33:07 GMT) Full text and rfc822 format available.

Message #82 received at 412437@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: 412437@bugs.debian.org
Cc: awoodland@debian.org
Subject: start the team?
Date: Wed, 31 Dec 2008 13:26:38 -0800
[Message part 1 (text/plain, inline)]
Hi,

Alan, since you've already worked on this a bit, do you want to start
the team and the repository with what you already have done?  Then any
of us can work on integrating in some of the work that Ubuntu did.

Thanks,
Ryan
(ryan52-guest on alioth)

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. (Fri, 02 Jan 2009 11:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Alan Woodland" <alan.woodland@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. (Fri, 02 Jan 2009 11:30:02 GMT) Full text and rfc822 format available.

Message #87 received at 412437@bugs.debian.org (full text, mbox):

From: "Alan Woodland" <alan.woodland@gmail.com>
To: "Ryan Niebur" <ryanryan52@gmail.com>
Cc: 412437@bugs.debian.org, awoodland@debian.org
Subject: Re: start the team?
Date: Fri, 2 Jan 2009 11:27:35 +0000
2008/12/31 Ryan Niebur <ryanryan52@gmail.com>:
> Hi,
>
> Alan, since you've already worked on this a bit, do you want to start
> the team and the repository with what you already have done?  Then any
> of us can work on integrating in some of the work that Ubuntu did.
Sounds like a plan. I'm away for a couple more days, when I get back
I'll set things in motion.

Alan




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. (Sun, 04 Jan 2009 17:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Alan Woodland" <alan.woodland@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. (Sun, 04 Jan 2009 17:57:06 GMT) Full text and rfc822 format available.

Message #92 received at 412437@bugs.debian.org (full text, mbox):

From: "Alan Woodland" <alan.woodland@gmail.com>
To: "Ryan Niebur" <ryanryan52@gmail.com>
Cc: 412437@bugs.debian.org, awoodland@debian.org
Subject: Re: Bug#412437: start the team?
Date: Sun, 4 Jan 2009 17:54:34 +0000
2009/1/2 Alan Woodland <alan.woodland@gmail.com>:
> 2008/12/31 Ryan Niebur <ryanryan52@gmail.com>:
>> Hi,
>>
>> Alan, since you've already worked on this a bit, do you want to start
>> the team and the repository with what you already have done?  Then any
>> of us can work on integrating in some of the work that Ubuntu did.
> Sounds like a plan. I'm away for a couple more days, when I get back
> I'll set things in motion.
>
> Alan
I've submitted the project to alioth for approval now, so should be
under 72 hours until things are up and running for it.

Alan




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. (Tue, 13 Jan 2009 00:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Savvas Radevic" <vicedar@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. (Tue, 13 Jan 2009 00:36:02 GMT) Full text and rfc822 format available.

Message #97 received at 412437@bugs.debian.org (full text, mbox):

From: "Savvas Radevic" <vicedar@gmail.com>
To: 412437@bugs.debian.org
Subject: getdeb.net deb source
Date: Tue, 13 Jan 2009 01:33:52 +0100
I don't know if this helps, but the getdeb.net team has already
packaged version 1.0.0
Here's the deb source along with some ubuntu 8.10 intrepid ibex deb packages:
http://archive.getdeb.net/getdeb/ubuntu/intrepid/so/

Also this personal package archive (Fabien Tassin):
http://ppa.launchpad.net/fta/ubuntu/pool/main/s/songbird/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. (Tue, 13 Jan 2009 10:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan Woodland <awoodland@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. (Tue, 13 Jan 2009 10:15:05 GMT) Full text and rfc822 format available.

Message #102 received at 412437@bugs.debian.org (full text, mbox):

From: Alan Woodland <awoodland@debian.org>
To: Savvas Radevic <vicedar@gmail.com>
Cc: 412437@bugs.debian.org, Ryan Niebur <ryanryan52@gmail.com>
Subject: Re: getdeb.net deb source (+ Alioth project)
Date: Tue, 13 Jan 2009 10:14:18 +0000
Savvas Radevic wrote:
> I don't know if this helps, but the getdeb.net team has already
> packaged version 1.0.0
> Here's the deb source along with some ubuntu 8.10 intrepid ibex deb packages:
> http://archive.getdeb.net/getdeb/ubuntu/intrepid/so/
>   
The getdeb packages are basically just a wrapper around the binarys 
distributed by upstream themselves as far as I could see.
> Also this personal package archive (Fabien Tassin):
> http://ppa.launchpad.net/fta/ubuntu/pool/main/s/songbird/
The project on alioth has been approved now, and I've added Ryan to the 
developers on it. I did have a quick look over the Ubuntu source they 
have in launchpad yesterday lunchtime, but didn't build it yet. I also 
couldn't quite figure out how to make git play nice with bzr either. Any 
thoughts on that yet Ryan? Feel free to set something up on the group 
filespace on alioth if you want!

Alan




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. (Sun, 18 Jan 2009 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. (Sun, 18 Jan 2009 23:24:03 GMT) Full text and rfc822 format available.

Message #107 received at 412437@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Alan Woodland <awoodland@debian.org>
Cc: 412437@bugs.debian.org
Subject: Re: getdeb.net deb source (+ Alioth project)
Date: Sun, 18 Jan 2009 15:22:32 -0800
[Message part 1 (text/plain, inline)]
Hi,

(sorry for the late response)

On Tue, Jan 13, 2009 at 10:14:18AM +0000, Alan Woodland wrote:
> Savvas Radevic wrote:
>> Also this personal package archive (Fabien Tassin):
>> http://ppa.launchpad.net/fta/ubuntu/pool/main/s/songbird/
> The project on alioth has been approved now, and I've added Ryan to the  
> developers on it. I did have a quick look over the Ubuntu source they  
> have in launchpad yesterday lunchtime, but didn't build it yet. I also  
> couldn't quite figure out how to make git play nice with bzr either. Any  
> thoughts on that yet Ryan? Feel free to set something up on the group  
> filespace on alioth if you want!

There's this http://github.com/pieter/git-bzr/tree/master
It claims to work with the git-core in experimental.

I can try to figure out how to make it play nice with git-buildpackage
(if possible..)

or we could just not use git-buildpackage (just keep the debian
directory in a git repo w/o upstream source)

If that doesn't work out, I'm not completely opposed to using bzr..

do you have an opinion on it?
any of those solutions are fine with me.
(git w/o upstream source would be my choice).

Thanks,
Ryan

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. (Mon, 19 Jan 2009 17:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Alan Woodland" <alan.woodland@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. (Mon, 19 Jan 2009 17:30:03 GMT) Full text and rfc822 format available.

Message #112 received at 412437@bugs.debian.org (full text, mbox):

From: "Alan Woodland" <alan.woodland@gmail.com>
To: "Ryan Niebur" <ryanryan52@gmail.com>
Cc: "Alan Woodland" <awoodland@debian.org>, 412437@bugs.debian.org
Subject: Re: getdeb.net deb source (+ Alioth project)
Date: Mon, 19 Jan 2009 17:26:19 +0000
2009/1/18 Ryan Niebur <ryanryan52@gmail.com>:
> Hi,
>
> (sorry for the late response)
>
> On Tue, Jan 13, 2009 at 10:14:18AM +0000, Alan Woodland wrote:
>> Savvas Radevic wrote:
>>> Also this personal package archive (Fabien Tassin):
>>> http://ppa.launchpad.net/fta/ubuntu/pool/main/s/songbird/
>> The project on alioth has been approved now, and I've added Ryan to the
>> developers on it. I did have a quick look over the Ubuntu source they
>> have in launchpad yesterday lunchtime, but didn't build it yet. I also
>> couldn't quite figure out how to make git play nice with bzr either. Any
>> thoughts on that yet Ryan? Feel free to set something up on the group
>> filespace on alioth if you want!
>
> There's this http://github.com/pieter/git-bzr/tree/master
> It claims to work with the git-core in experimental.
>
> I can try to figure out how to make it play nice with git-buildpackage
> (if possible..)
That would be good if you could give that a try?

> or we could just not use git-buildpackage (just keep the debian
> directory in a git repo w/o upstream source)
There's still the issue of if we should view ubuntu as an intermediate
upstream or just fork what they've already got.

git-buildpackage does sound quite reasonable to me.

> If that doesn't work out, I'm not completely opposed to using bzr..
>
> do you have an opinion on it?
So far I've used neither git nor bzr, my own work repositories are
only starting to migrate from CVS to SVN at the moment!

> any of those solutions are fine with me.
> (git w/o upstream source would be my choice).
That works for me provided we find a solution to integrate with
ubuntu's packaging efforts.

Alan




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. (Thu, 12 Nov 2009 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan Woodland <awoodland@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. (Thu, 12 Nov 2009 19:36:03 GMT) Full text and rfc822 format available.

Message #117 received at 412437@bugs.debian.org (full text, mbox):

From: Alan Woodland <awoodland@debian.org>
To: 555700@bugs.debian.org, jamesb <jagginess@videotron.ca>
Cc: control@bugs.debian.org, 412437@bugs.debian.org, 507218@bugs.debian.org
Subject: Songbird RFP
Date: Thu, 12 Nov 2009 19:34:42 +0000
retitle 555700 ITP: songbird -- desktop Web player, a digital jukebox
and Web browser
forcemerge 412437 507218 555700
thanks

Hi,

Thanks for this RFP. There are currently two existing ITP bugs for
Songbird. Currently packaging Songbird is blocked by the large(ish)
number of custom patches [0] for xulrunner it depends upon. A number
of these we can work around or don't relate to any Debian
architectures, but that's not true of all of them. I'm not happy with
the idea of shipping a 2nd, patched version of xulrunner in Debian
from the security perspective alone and whilst I would very much like
to see Songbird in Debian I don't think pushing these patches into the
Debian version of xulrunner is appropriate either. Unfortunately at
the moment it seems like the best course of action is waiting on the
upstream authors to reduce this list.

I am fairly regularly monitoring this situation though, and if
something changes I do intend to produce a package.

Thanks for your interest,
Alan

[0] - http://wiki.songbirdnest.com/User:Stevel/XULRunner_Patches




Forcibly Merged 412437 507218 555700. Request was from Alan Woodland <awoodland@debian.org> to control@bugs.debian.org. (Thu, 12 Nov 2009 19:36:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, awoodland@debian.org:
Bug#412437; Package wnpp. (Mon, 01 Feb 2010 22:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hugo Besteiro <besteiro@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, awoodland@debian.org. (Mon, 01 Feb 2010 22:03:08 GMT) Full text and rfc822 format available.

Message #124 received at 412437@bugs.debian.org (full text, mbox):

From: Hugo Besteiro <besteiro@gmail.com>
To: 412437@bugs.debian.org
Subject: Status
Date: Mon, 1 Feb 2010 21:55:04 +0000
[Message part 1 (text/plain, inline)]
Hello,

What's the progress with this?

Regards,
hb
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, awoodland@debian.org:
Bug#412437; Package wnpp. (Mon, 05 Apr 2010 23:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, awoodland@debian.org. (Mon, 05 Apr 2010 23:36:06 GMT) Full text and rfc822 format available.

Message #129 received at 412437@bugs.debian.org (full text, mbox):

From: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: 412437@bugs.debian.org
Subject: Re: ITP: songbird -- desktop Web player, a digital jukebox and Web browser
Date: Tue, 6 Apr 2010 01:15:52 +0200
Hello,

it has benn, unfortunately, announced by the Songbird developers a few days
ago that they are dropping the official support for Linux in
future. I'm not sure whether it would make any sense pursueing the
efforts of packaging Songbird for Debian in future if we can't be sure
that there will be further updates and security fixes to the package
from upstream. In any case, at least a fork is inevitable, isn't it?
What do you think?

The announcement can be found here:

<http://blog.songbirdnest.com/2010/04/02/songbird-singing-a-new-tune/>

Regards,

Adrian




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, awoodland@debian.org:
Bug#412437; Package wnpp. (Tue, 06 Apr 2010 18:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik <qrcyen@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, awoodland@debian.org. (Tue, 06 Apr 2010 18:18:09 GMT) Full text and rfc822 format available.

Message #134 received at 412437@bugs.debian.org (full text, mbox):

From: Erik <qrcyen@gmail.com>
To: 412437@bugs.debian.org
Subject: ITP: songbird -- desktop Web player, a digital jukebox and Web browser
Date: Tue, 6 Apr 2010 15:13:44 -0300
[Message part 1 (text/plain, inline)]
Adrian,
I need to correct some sentences, right here.



you said "They are dropping the official support for Linux in future."
R:No, it isn't definitive, and they can turn back. They was thinking to do
the same strategy from Google when they created the google chrome (first
they build a google chrome for windows, second for mac and for third for
Linux)

Debian don't need to do a Songbird's Fork
Fork is unnecessary.

They will keep the Linux version.
Now they need a place with many developers to contribute with the project.
Debian and Ubuntu are best place for it, and we need approve it...

look what they have said:

*UPDATED 4/5/2010 @ 2:22 pm PST*

To those who voiced their disappointment and retained a civil tone, we
empathize with you. We appreciate all of the passion from the community, we
again want to re-iterate that this was a very tough decision for us. We want
to clarify a couple of points:

   - Songbird remains open source. The code is mirrored from our working
   tree and available at http://publicsvn.songbirdnest.com/
   - We are maintaining our Linux build infrastructure and will ensure that
   it continues to compile and run the unit-test suite.
   http://buildbot.songbirdnest.com/
   - Nightly Linux builds will remain available at
   http://developer.songbirdnest.com/builds/trunk/latest/
   - We have in house developers that use Linux every day and they will keep
   developing Songbird on Linux.

URL: http://blog.songbirdnest.com/2010/04/02/songbird-singing-a-new-tune/
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, awoodland@debian.org:
Bug#412437; Package wnpp. (Sat, 19 Feb 2011 17:17:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, awoodland@debian.org. (Sat, 19 Feb 2011 17:17:36 GMT) Full text and rfc822 format available.

Message #139 received at 412437@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 412437@bugs.debian.org
Cc: control@bugs.debian.org
Subject: songbird: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:00:02 +0000
retitle 412437 RFP: songbird -- desktop Web player, a digital jukebox and Web browser
noowner 412437
thanks

Hi,

This is an automatic email to change the status of songbird back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting songbird, please send a mail to
<control@bugs.debian.org> with:

 retitle 412437 ITP: songbird -- desktop Web player, a digital jukebox and Web browser
 owner 412437 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <412437@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: songbird -- desktop Web player, a digital jukebox and Web browser' from 'ITP: songbird -- desktop Web player, a digital jukebox and Web browser' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:23:58 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by awoodland@debian.org. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:23:59 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#412437; Package wnpp. (Mon, 18 Apr 2011 12:58:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Panayiotis Karabassis <panayk@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 18 Apr 2011 12:58:25 GMT) Full text and rfc822 format available.

Message #148 received at 412437@bugs.debian.org (full text, mbox):

From: Panayiotis Karabassis <panayk@gmail.com>
To: 412437@bugs.debian.org
Subject: Interested in contributing
Date: Mon, 18 Apr 2011 15:36:08 +0300
Hi, I am interested in working on this.

I have already started putting together a 1.9.4 package from scratch. Of
course, if you could point me to the work already done, it would be helpful.

I am working on the amd64 architecture, and the first problem I've run
into is the lack of amd64 vendor-binaries, but I believe I can get past
this.

What I will surely need help with is the 'branding issue'. Maybe there
is a graphic designer interested?

-- 
Regards
    Panayiotis Karabassis




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#412437; Package wnpp. (Wed, 07 Sep 2011 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pander <pander@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 07 Sep 2011 11:36:09 GMT) Full text and rfc822 format available.

Message #153 received at 412437@bugs.debian.org (full text, mbox):

From: Pander <pander@users.sourceforge.net>
To: 412437@bugs.debian.org
Subject: Packaging Songbird
Date: Wed, 07 Sep 2011 13:29:28 +0200
For all those who are interested in creating a package, more information
can be found here:
  http://bugs.launchpad.net/songbird/+bug/94494




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#412437; Package wnpp. (Wed, 26 Jun 2013 13:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adolfo Jayme Barrientos <fitoschido@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 26 Jun 2013 13:30:04 GMT) Full text and rfc822 format available.

Message #158 received at 412437@bugs.debian.org (full text, mbox):

From: Adolfo Jayme Barrientos <fitoschido@ubuntu.com>
To: 412437@bugs.debian.org
Subject: Please close this bug
Date: Wed, 26 Jun 2013 13:26:57 +0000
... as it's obsolete. Songbird even went bankrupt [1], so they won't
release not update this software, which was abandoned by its creators
long ago.

[1]: http://blog.songbirdnest.com/you-gotta-know-when-to-fold-em/



Reply sent to Adrian Bunk <bunk@stusta.de>:
You have taken responsibility. (Mon, 16 Dec 2013 06:27:05 GMT) Full text and rfc822 format available.

Notification sent to Marcela Tiznado <mtiznado@linux.org.ar>:
Bug acknowledged by developer. (Mon, 16 Dec 2013 06:27:05 GMT) Full text and rfc822 format available.

Message #163 received at 412437-done@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: 412437-done@bugs.debian.org
Subject: Closing this RFP
Date: Mon, 16 Dec 2013 08:22:54 +0200
The latest post in the RFP was:

<--  snip  -->

Subject: Please close this bug

... as it's obsolete. Songbird even went bankrupt [1], so they won't
release not update this software, which was abandoned by its creators
long ago.

<--  snip  -->


In the meantime, even the upstream homepage went down.


cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Reply sent to Adrian Bunk <bunk@stusta.de>:
You have taken responsibility. (Mon, 16 Dec 2013 06:27:06 GMT) Full text and rfc822 format available.

Notification sent to shirish <shirishag75@gmail.com>:
Bug acknowledged by developer. (Mon, 16 Dec 2013 06:27:06 GMT) Full text and rfc822 format available.

Reply sent to Adrian Bunk <bunk@stusta.de>:
You have taken responsibility. (Mon, 16 Dec 2013 06:27:07 GMT) Full text and rfc822 format available.

Notification sent to jamesb <jagginess@videotron.ca>:
Bug acknowledged by developer. (Mon, 16 Dec 2013 06:27:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Jan 2014 07:25:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:35:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.